UnproxyableResolutionException
Date: 2015-09-11

javax.enterprise.inject

## Class UnproxyableResolutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.enterprise.inject.InjectionException
        - - javax.enterprise.inject.ResolutionException
          - - javax.enterprise.inject.UnproxyableResolutionException

- All Implemented Interfaces:
    java.io.Serializable

      public class UnproxyableResolutionException
      extends ResolutionException

  Indicates that a contextual reference for a bean with a normal scope and a certain bean type cannot be obtained because the bean type cannot be proxied by the container.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnproxyableResolutionException()`
    `UnproxyableResolutionException(java.lang.String message)`
    `UnproxyableResolutionException(java.lang.String message, java.lang.Throwable throwable)`
    `UnproxyableResolutionException(java.lang.Throwable throwable)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnproxyableResolutionException

          public UnproxyableResolutionException()

    - #### UnproxyableResolutionException

          public UnproxyableResolutionException(java.lang.String message,
                                        java.lang.Throwable throwable)

    - #### UnproxyableResolutionException

          public UnproxyableResolutionException(java.lang.String message)

    - #### UnproxyableResolutionException

          public UnproxyableResolutionException(java.lang.Throwable throwable)